#ifndef __FEATURE_TUNING_PARA_H__
#define __FEATURE_TUNING_PARA_H__

{
    2088,1544,0,

    0.030503723, 0, 0, 0, 1760.541382, -0.000938207,
    0.030503723, 0, 0, 0, 1760.541382, -0.000938207,
    0.030503723, 0, 0, 0, 1760.541382, -0.000938207,

    // pre, cap, normal_video

    0.030503723, 0.03267075, 0.032840083, 0.0,
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,

    //Rerserved1
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,

    //Rerserved2
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,
    0.0, 0.0, 0.0, 0.0,

},
{
    .max_frame_number            =   4,
    .max_frame_number                 =   8,
    .memc_bad_mv_range           =   32,
    .memc_bad_mv_rate_th         =   48,
    //
    .mfll_iso_th                 =   400,
    //
    .ais_exp_th                  =   33000,
    .ais_advanced_tuning_en      =   1,
    .ais_advanced_max_iso        =   2688,
    .ais_advanced_max_exposure   =   66000,
    //
    .reserved                    =   {
                                    33000,  //ais_exp_th0, default=33000 us, must < ais_exp_th
                                    1200,   //ais_iso_th0, default=1200, must < ais_advanced_max_iso    
                                    },  
},
{
    { // iso 100, single
        300 , 10     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 200, single
        300 , 13     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 400, single
        300 , 16     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 800, single
        300 , 19     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 1200, single
        300 , 22     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 1600, single
        300 , 25     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 2000, single
        300 , 28     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 2400, single
        300 , 31     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 2800, single
        300 , 34     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 3200, single
        300 , 37     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // preserved, ANR off, single
        300 , 30     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // preserved, ANR on, single
        300 , 30     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 100, mfll
        300 , 10     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 200, mfll
        300 , 10     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 400, mfll
        300 , 20     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 800, mfll
        300 , 20     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 1200, mfll
        300 , 20     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 1600, mfll
        300 , 25     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 2000, mfll
        300 , 30     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 2400, mfll
        300 , 30     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 2800, mfll
        300 , 35     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // iso 3200, mfll
        300 , 40     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // preserved, ANR off, mfll
        300 , 30     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
    { // preserved, ANR on, mfll
        300 , 30     , 32    , 28    , 24  , 20  , 55552 , 64  , 128 , 192 ,
        0  , 0     , 16    , 7     , 300 , 0   , 0    , 0   , 0   , 0   ,
        0  , 55552 , 56905 , 46189 , 0   , 0   , 0    , 0   , 0   , 0   ,
        0  , 0     , 0     , 1     , 0   , 0   , 0    , 0   , 0   , -4  ,
        -4 , -4    , -4    , 0     , 0   , 0   , 0    , 0   , 0   , 0   ,
        1  , 0     , 0     , 39    , 103 , 14  , 21   , 5   , 35  , 255 ,
        64 , 0     , 68    , 0     , 224 , 0   , 56   , 11  , 25  , 1   ,
        0  , 0     , 0     , 16    , 270 , 286 , -128 , 127 , 64  , 0   ,
    },
},
#endif // __FEATURE_TUNING_PARA_H__
